summaryrefslogtreecommitdiffstats
path: root/games/egoboo
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-13 00:58:08 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:58:08 +0200
commit86d82bb6852264cf20cc262791caa6110001dd0b (patch)
tree8c93b61d005965aa52285123ba8060fae9c1b8e5 /games/egoboo
parentc895321b54fa971613f36fbe9c6ab66a8cd79543 (diff)
downloadslackbuilds-86d82bb6852264cf20cc262791caa6110001dd0b.tar.gz
slackbuilds-86d82bb6852264cf20cc262791caa6110001dd0b.tar.xz
games/egoboo: Added to 13.0 repository
Diffstat (limited to 'games/egoboo')
-rw-r--r--games/egoboo/README4
-rw-r--r--games/egoboo/doinst.sh4
-rw-r--r--games/egoboo/egoboo.SlackBuild77
-rw-r--r--games/egoboo/egoboo.desktop9
-rw-r--r--games/egoboo/egoboo.info10
-rw-r--r--games/egoboo/egoboo.pngbin0 -> 956 bytes
-rw-r--r--games/egoboo/slack-desc19
7 files changed, 123 insertions, 0 deletions
diff --git a/games/egoboo/README b/games/egoboo/README
new file mode 100644
index 0000000000..37e5e15e01
--- /dev/null
+++ b/games/egoboo/README
@@ -0,0 +1,4 @@
+Egoboo is an open source, cross-platform computer game.
+It's a three-dimensional dungeon crawling adventure that
+borrows a lot of elements from the roguelike genre.
+Egoboo is still under development, but it is fully playable.
diff --git a/games/egoboo/doinst.sh b/games/egoboo/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/games/egoboo/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/egoboo/egoboo.SlackBuild b/games/egoboo/egoboo.SlackBuild
new file mode 100644
index 0000000000..5105cd9efc
--- /dev/null
+++ b/games/egoboo/egoboo.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for egoboo
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=egoboo
+VERSION=${VERSION:-2.7.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+# Remove executable permissions from all files.
+find . -type f -exec chmod -x {} \;
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix end-of-line encoding in *.txt, prefix location in wrapper script.
+sed -i 's/\r//g' *.txt doc/*.txt
+sed -i 's|${HOME}/.local|/usr|' game/$PRGNAM.sh
+
+# Compile and install program.
+make -C game -f Makefile.unix OPT="$SLKCFLAGS -Wall" PREFIX=/usr
+make -C game -f Makefile.unix PREFIX=$PKG/usr install
+
+# Copy data.
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -rf controls.txt setup.txt basicdat/ modules/ players/ $PKG/usr/share/$PRGNAM/
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install icon and desktop files
+install -D -m 0644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+install -D -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ *.txt doc/* License.pdf README.Linux \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/egoboo/egoboo.desktop b/games/egoboo/egoboo.desktop
new file mode 100644
index 0000000000..1b038c4e7b
--- /dev/null
+++ b/games/egoboo/egoboo.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Egoboo
+Exec=egoboo
+Icon=egoboo
+Type=Application
+Comment=A 3D OpenGL dungeon-crawl
+Categories=Game;AdventureGame;RolePlaying;
+Terminal=false
+StartupNotify=false
diff --git a/games/egoboo/egoboo.info b/games/egoboo/egoboo.info
new file mode 100644
index 0000000000..94abb802f0
--- /dev/null
+++ b/games/egoboo/egoboo.info
@@ -0,0 +1,10 @@
+PRGNAM="egoboo"
+VERSION="2.7.4"
+HOMEPAGE="http://egoboo.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/egoboo/egoboo-2.7.4.tar.gz"
+MD5SUM="6df37fea85c4b76beb1b651d73209608"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"
diff --git a/games/egoboo/egoboo.png b/games/egoboo/egoboo.png
new file mode 100644
index 0000000000..984be247da
--- /dev/null
+++ b/games/egoboo/egoboo.png
Binary files differ
diff --git a/games/egoboo/slack-desc b/games/egoboo/slack-desc
new file mode 100644
index 0000000000..08bd22d94a
--- /dev/null
+++ b/games/egoboo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+egoboo: egoboo (three-dimensional dungeon crawling adventure)
+egoboo:
+egoboo: Egoboo is an open source, cross-platform computer game. It's a
+egoboo: three-dimensional dungeon crawling adventure that borrows a lot of
+egoboo: elements from the roguelike genre. Egoboo is still under development,
+egoboo: but it is fully playable.
+egoboo:
+egoboo: Homepage: http://egoboo.sourceforge.net/
+egoboo:
+egoboo:
+egoboo: